ServerEvents.recipes(event => {

	event.remove({ id: 'farmersdelight:book_from_canvas' })
	event.remove({ id: 'tconstruct:tables/book_substitute' })
	event.remove({ id: 'create:crafting/appliances/book' })
	event.recipes.farmersdelight.cutting(
        "minecraft:book",
        "#minecraft:axes", // tool
        [ // results
			'2x minecraft:paper',
			Item.of("minecraft:paper").withChance(0.5),
			Item.of("minecraft:leather").withChance(0.25)
        ],
        // "" // sound
	);

	event.remove({ output: 'actuallyadditions:booklet' })
	event.remove({ output: 'mekanism:dictionary' })
	event.remove({ output: 'botania:lexicon' })
	event.remove({ output: 'create_enchantment_industry:enchanting_guide' })
	event.shapeless(Item.of('eccentrictome:tome', '{"eccentrictome:mods":{actuallyadditions:{0:{Count:1b,id:"actuallyadditions:booklet"}},ae2:{0:{Count:1b,id:"ae2:guide",tag:{Enchantments:[]}}},botania:{0:{Count:1b,id:"botania:lexicon"}},eidolon:{0:{Count:1b,id:"eidolon:codex",tag:{Enchantments:[]}}},ftbquests:{0:{Count:1b,id:"ftbquests:book",tag:{Enchantments:[]}}},immersiveengineering:{0:{Count:1b,id:"immersiveengineering:manual"}},patchouli:{0:{Count:1b,id:"patchouli:guide_book",tag:{"patchouli:book":"patchouli:summoning"}},1:{Count:1b,id:"patchouli:guide_book",tag:{Enchantments:[],"patchouli:book":"patchouli:reality_frame"}}},tconstruct:{0:{Count:1b,id:"tconstruct:materials_and_you"}}},"eccentrictome:version":1}'), [
		'kubejs:wallpaper',
		'kubejs:cut_carpet',
		'kubejs:concrete_piece',
		'kubejs:carpet_dust'
	])
	event.shapeless('ftbquests:book', [
		'kubejs:wallpaper',
		'kubejs:carpet_dust',
		'minecraft:string'
	])
	event.shapeless('actuallyadditions:booklet', [
		'minecraft:book',
		'actuallyadditions:canola_seeds'
	])
	event.shapeless('botania:lexicon', [
		'minecraft:book',
		'botania:fertilizer'
	])
	event.shapeless('mekanism:dictionary', [
		'minecraft:book',
		'mekanism:basic_control_circuit'
	])
	event.shapeless('create_enchantment_industry:enchanting_guide', [
		'minecraft:enchanted_book',
		'create:sturdy_sheet'
	])

	event.remove({ output: 'tconstruct:mighty_smelting' })
	event.shapeless('tconstruct:mighty_smelting', [
		'minecraft:book',
		'tconstruct:seared_brick'
	])
	event.remove({ output: 'tconstruct:fantastic_foundry' })
	event.custom({
		"type": "tconstruct:casting_table",
		"cast": {
			"item": "minecraft:book"
		},
		"cast_consumed": true,
		"cooling_time": 89,
		"fluid": {
			"amount": 250,
			"tag": "tconstruct:scorched_stone"
		},
		"result": "tconstruct:fantastic_foundry"
	})

	let books = (input, output) => {
		event.shapeless(output, [
			input
		])
	}

	//books('eccentrictome:tome', 'botania:lexicon')
	//books('botania:lexicon', 'immersiveengineering:manual')
	//books('immersiveengineering:manual', 'eidolon:codex')
	//books('eidolon:codex', 'ae2:guide')
	//books('ae2:guide', 'actuallyadditions:booklet')
	//books('actuallyadditions:booklet', Item.of('patchouli:guide_book', '{"patchouli:book":"enderio:guide"}'))
	//books(Item.of('patchouli:guide_book', '{"patchouli:book":"enderio:guide"}').strongNBT(), Item.of('patchouli:guide_book', '{"patchouli:book":"patchouli:summoning"}'))
	//books(Item.of('patchouli:guide_book', '{"patchouli:book":"patchouli:summoning"}').strongNBT(), Item.of('patchouli:guide_book', '{"patchouli:book":"patchouli:reality_frame"}'))

	//books(Item.of('patchouli:guide_book', '{"patchouli:book":"patchouli:reality_frame"}').strongNBT(), 'tconstruct:materials_and_you')
	//books('tconstruct:materials_and_you', 'tconstruct:tinkers_gadgetry')
	//books('tconstruct:tinkers_gadgetry', 'tconstruct:puny_smelting')
	//books('tconstruct:puny_smelting', 'tconstruct:mighty_smelting')
	//books('tconstruct:mighty_smelting', 'tconstruct:fantastic_foundry')
	//books('tconstruct:fantastic_foundry', 'tconstruct:encyclopedia')
	
	

})